## org.eclipse.emf.codegen.ecore.genmodel.handler
Class GenerateHandler.GenModelGenerationDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.jface.dialogs.TrayDialog
                  org.eclipse.emf.codegen.ecore.genmodel.handler.GenerateHandler.GenModelGenerationDialog

All Implemented Interfaces:
  IShellProvider

Enclosing class:
  GenerateHandler

    protected static class GenerateHandler.GenModelGenerationDialog

extends TrayDialog

Nested Class Summary
`protected static class` `GenerateHandler.GenModelGenerationDialog.ProjectType`

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`Window.IExceptionHandler`

Field Summary
`protected java.util.List<java.lang.Object[]>` `generatorAndArgumentsList`
`protected CLabel` `genModelLabel`
`protected java.util.List<GenModel>` `genModels`
`protected Table` `genModelTable`
`protected Point` `location`
`protected boolean` `showBackButton`
`protected Point` `size`
`protected boolean` `startWithProjectSelected`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`GenerateHandler.GenModelGenerationDialog(Shell shell, java.util.List<GenModel> genModels)`

Method Summary
`protected java.lang.Boolean` `checkBoxColumnHeaderSelected(TableColumn tableColumn, int itemIndex, java.lang.Boolean select)`
`boolean` `close()`
`protected void` `configureShell(Shell newShell)`
`void` `create()`
`protected void` `createButtonsForButtonBar(Composite parent)`
`protected int` `createCheckBoxColumn(GenerateHandler.GenModelGenerationDialog.ProjectType projectType, Listener listener)`
`protected void` `createControls(Composite parent)`
`protected Control` `createDialogArea(Composite parent)`
`protected void` `createGenModelDetailControl(Composite parent)`
`protected void` `createTable(Composite parent)`
`java.util.List<java.lang.Object[]>` `getGeneratorAndArgumentsList()`
`Point` `getLocation()`
`Point` `getSize()`
`void` `initialize(Point size, Point location)`
`boolean` `isShowBackButton()`
`protected void` `okPressed()`
`protected java.util.List<java.lang.Object[]>` `prepareGenerators()`
`protected void` `refresh()`
`protected void` `selectionChanged(GenModel genModel)`
`void` `setShowBackButton(boolean showBackButton)`
`protected void` `updateButtons(java.lang.Boolean hasSelection)`

Methods inherited from class org.eclipse.jface.dialogs.TrayDialog
`closeTray, createButtonBar, createHelpControl, getLayout, getTray, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, cancelPressed, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, createButton, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, isResizable, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### genModels

    protected java.util.List<GenModel> genModels

### generatorAndArgumentsList

    protected java.util.List<java.lang.Object[]> generatorAndArgumentsList

### startWithProjectSelected

    protected boolean startWithProjectSelected

### size

    protected Point size

### location

    protected Point location

### genModelTable

    protected Table genModelTable

### genModelLabel

    protected CLabel genModelLabel

### showBackButton

    protected boolean showBackButton

Constructor Detail

### GenerateHandler.GenModelGenerationDialog

    public GenerateHandler.GenModelGenerationDialog(Shell shell,
                                                    java.util.List<GenModel> genModels)

Method Detail

### isShowBackButton

    public boolean isShowBackButton()

### setShowBackButton

    public void setShowBackButton(boolean showBackButton)

### getGeneratorAndArgumentsList

    public java.util.List<java.lang.Object[]> getGeneratorAndArgumentsList()

### initialize

    public void initialize(Point size,
                           Point location)

### getSize

    public Point getSize()

### getLocation

    public Point getLocation()

### configureShell

    protected void configureShell(Shell newShell)

  Overrides:
    `configureShell` in class `Window`

### create

    public void create()

  Overrides:
    `create` in class `Dialog`

### createDialogArea

    protected Control createDialogArea(Composite parent)

  Overrides:
    `createDialogArea` in class `Dialog`

### createControls

    protected void createControls(Composite parent)

### createButtonsForButtonBar

    protected void createButtonsForButtonBar(Composite parent)

  Overrides:
    `createButtonsForButtonBar` in class `Dialog`

### createTable

    protected void createTable(Composite parent)

### createCheckBoxColumn

    protected int createCheckBoxColumn(GenerateHandler.GenModelGenerationDialog.ProjectType projectType,
                                       Listener listener)

### checkBoxColumnHeaderSelected

    protected java.lang.Boolean checkBoxColumnHeaderSelected(TableColumn tableColumn,
                                                             int itemIndex,
                                                             java.lang.Boolean select)

### selectionChanged

    protected void selectionChanged(GenModel genModel)

### refresh

    protected void refresh()

### createGenModelDetailControl

    protected void createGenModelDetailControl(Composite parent)

### okPressed

    protected void okPressed()

  Overrides:
    `okPressed` in class `Dialog`

### updateButtons

    protected void updateButtons(java.lang.Boolean hasSelection)

### close

    public boolean close()

  Overrides:
    `close` in class `TrayDialog`

### prepareGenerators

    protected java.util.List<java.lang.Object[]> prepareGenerators()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.